{ config, lib, ... }:
let cfg = config.cos.matomo; in
{
  options.cos.matomo  = {
    enable = lib.mkEnableOption "enable matomo";
    hostname = lib.mkOption {
      type = lib.types.str;
    };
  };

  config = lib.mkIf cfg.enable {
    services.matomo = { # Effectively never finished
      enable = true;
      hostname = cfg.hostname;
      nginx = {};
    };
  };
}
